ClassificationRulesOperations Class
ClassificationRulesOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectClassificationRulesOperations
Constructor
ClassificationRulesOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Methods
| create_or_update |
Creates or Updates a classification rule. |
| delete |
Deletes a classification rule. |
| get |
Get a classification rule. |
| list_all |
List classification rules in Account. |
| list_versions_by_classification_rule_name |
Lists the rule versions of a classification rule. |
| tag_classification_version |
Sets Classification Action on a specific classification rule version. |
create_or_update
Creates or Updates a classification rule.
create_or_update(classification_rule_name: str, body: Any = None, **kwargs: Any) -> Any
Parameters
- classification_rule_name
- str
- body
- <xref:Any>
Returns
JSON object
Return type
Exceptions
Examples
kind = 'CustomClassificationRule' or 'SystemClassificationRule'
# JSON input template you can fill out and use as your body input.
body = {
"id": "str", # Optional.
"name": "str", # Optional.
kind: ClassificationRule
}
# response body for status code(s): 200, 201
response.json() == {
"id": "str", # Optional.
"name": "str", # Optional.
kind: ClassificationRule
}
delete
Deletes a classification rule.
delete(classification_rule_name: str, **kwargs: Any) -> Optional[Any]
Parameters
- classification_rule_name
- str
Returns
JSON object
Return type
Exceptions
Examples
# response body for status code(s): 200
response.json() == {
"id": "str", # Optional.
"name": "str", # Optional.
kind: ClassificationRule
}
get
Get a classification rule.
get(classification_rule_name: str, **kwargs: Any) -> Any
Parameters
- classification_rule_name
- str
Returns
JSON object
Return type
Exceptions
Examples
# response body for status code(s): 200
response.json() == {
"id": "str", # Optional.
"name": "str", # Optional.
kind: ClassificationRule
}
list_all
List classification rules in Account.
list_all(**kwargs: Any) -> Iterable[Any]
Returns
An iterator like instance of JSON object
Return type
Exceptions
Examples
# response body for status code(s): 200
response.json() == {
"count": 0.0, # Optional.
"nextLink": "str", # Optional.
"value": [
{
"id": "str", # Optional.
"name": "str", # Optional.
kind: ClassificationRule
}
]
}
list_versions_by_classification_rule_name
Lists the rule versions of a classification rule.
list_versions_by_classification_rule_name(classification_rule_name: str, **kwargs: Any) -> Iterable[Any]
Parameters
- classification_rule_name
- str
Returns
An iterator like instance of JSON object
Return type
Exceptions
Examples
# response body for status code(s): 200
response.json() == {
"count": 0.0, # Optional.
"nextLink": "str", # Optional.
"value": [
{
"id": "str", # Optional.
"name": "str", # Optional.
kind: ClassificationRule
}
]
}
tag_classification_version
Sets Classification Action on a specific classification rule version.
tag_classification_version(classification_rule_name: str, classification_rule_version: int, **kwargs: Any) -> Any
Parameters
- classification_rule_name
- str
- classification_rule_version
- int
- action
- str
Possible values are: "Keep" or "Delete".
Returns
JSON object
Return type
Exceptions
Examples
# response body for status code(s): 202
response.json() == {
"endTime": "2020-02-20 00:00:00", # Optional.
"error": {
"code": "str", # Optional.
"details": [
{
"code": "str", # Optional.
"details": [
...
],
"message": "str", # Optional.
"target": "str" # Optional.
}
],
"message": "str", # Optional.
"target": "str" # Optional.
},
"scanResultId": str, # Optional.
"startTime": "2020-02-20 00:00:00", # Optional.
"status": "str" # Optional. Possible values include: "Accepted", "InProgress", "TransientFailure", "Succeeded", "Failed", "Canceled".
}
Feedback
Submit and view feedback for